import { RPCClientError } from '@loafer/ng-rpc';
import { Sensor } from '@overflow/commons-typescript/model/sensor';

export interface State {
  error: RPCClientError | null;
  isPending: boolean;
  sensor: Sensor | null;
}

export const initialState: State = {
  error: null,
  isPending: false,
  sensor: null,
};
